## org.apache.tomcat.util.net.puretls
Class PureTLSImplementation

    java.lang.Object
      org.apache.tomcat.util.net.SSLImplementation
          org.apache.tomcat.util.net.puretls.PureTLSImplementation

public class PureTLSImplementation
extends SSLImplementation

Constructor Summary
`PureTLSImplementation()`

Method Summary
`java.lang.String` `getImplementationName()`
`ServerSocketFactory` `getServerSocketFactory()`
`SSLSupport` `getSSLSupport(java.net.Socket s)`

Methods inherited from class org.apache.tomcat.util.net.SSLImplementation
`getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PureTLSImplementation

    public PureTLSImplementation()
                          throws java.lang.ClassNotFoundException

Method Detail

### getImplementationName

    public java.lang.String getImplementationName()

  Specified by:
    `getImplementationName` in class `SSLImplementation`

### getServerSocketFactory

    public ServerSocketFactory getServerSocketFactory()

  Specified by:
    `getServerSocketFactory` in class `SSLImplementation`

### getSSLSupport

    public SSLSupport getSSLSupport(java.net.Socket s)

  Specified by:
    `getSSLSupport` in class `SSLImplementation`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.